// Header File
// Created 8/7/2010; 10:33:08 PM

// Declare the tokenInfo structure for token data
// Then, any file that needs to use this structure can just include this)

typedef struct 
{
    char name[15];								// The name of the token (never more than 16 chars!)
    size_t chars; 								// How many chars are in the string making up the token
    int twoByteToken; 						// Whether or not the token is two bytes
    unsigned char hex[2]; 				// The two bytes making up the token, or only hex[0] if it's a one-byte token
} tokenInfo;